# class Range

Range serialization/deserialization

### Public Class Methods

json_create(object) click to toggle source

Deserializes JSON string by constructing new Range object with arguments `a` serialized by `to_json`.

    # File lib/json/add/range.rb, line 10
    def self.json_create(object)
      new(*object['a'])
    end

### Public Instance Methods

as_json(*) click to toggle source

Returns a hash, that will be turned into a JSON object and represent this object.

    # File lib/json/add/range.rb, line 16
    def as_json(*)
      {
        JSON.create_id  => self.class.name,
        'a'             => [ first, last, exclude_end? ]
      }
    end

to_json(*args) click to toggle source

Stores class name (Range) with JSON array of arguments `a` which include `first` (integer), `last` (integer), and `exclude_end?` (boolean) as JSON string.

    # File lib/json/add/range.rb, line 26
    def to_json(*args)
      as_json.to_json(*args)
    end